summaryrefslogtreecommitdiff
path: root/devstack
diff options
context:
space:
mode:
Diffstat (limited to 'devstack')
-rwxr-xr-xdevstack/upgrade/upgrade.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/devstack/upgrade/upgrade.sh b/devstack/upgrade/upgrade.sh
index 5e70ee431..8c6096da8 100755
--- a/devstack/upgrade/upgrade.sh
+++ b/devstack/upgrade/upgrade.sh
@@ -74,7 +74,15 @@ upgrade_project ironic $RUN_DIR $BASE_DEVSTACK_BRANCH $TARGET_DEVSTACK_BRANCH
# NOTE(rloo): make sure it is OK to do an upgrade. Except that we aren't
# parsing/checking the output of this command because the output could change
# based on the checks it makes.
-$IRONIC_BIN_DIR/ironic-status upgrade check
+$IRONIC_BIN_DIR/ironic-status upgrade check && ret_val=$? || ret_val=$?
+if [ $ret_val -gt 1 ] ; then
+ # NOTE(TheJulia): We need to evaluate the return code from the
+ # upgrade status check as the framework defines
+ # Warnings are permissible and returned as status code 1, errors are
+ # returned as greater than 1 which means there is a major upgrade
+ # stopping issue which needs to be addressed.
+ die $LINENO "Ironic DB Status check failed, returned: $ret_val"
+fi
$IRONIC_BIN_DIR/ironic-dbsync --config-file=$IRONIC_CONF_FILE